"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

function createPlugin(callback) {
  const plugin = {
    name: 'first-compile-reporter',

    setup(build) {
      let isFirstCompile = true;
      build.onEnd(() => {
        if (isFirstCompile) {
          isFirstCompile = false;
          callback();
        }
      });
    }

  };
  return plugin;
}

var _default = createPlugin;
exports.default = _default;
//# sourceMappingURL=firstCompile.js.map